# Class FramePropertiesAttributes

#### Hierarchy

- XmlAttributeComponent <{
  alignmentX?: typeof HorizontalPositionAlign [keyof typeof HorizontalPositionAlign ];
  alignmentY?: typeof VerticalPositionAlign [keyof typeof VerticalPositionAlign ];
  anchorHorizontal?: typeof FrameAnchorType [keyof typeof FrameAnchorType ];
  anchorLock?: boolean;
  anchorVertical?: typeof FrameAnchorType [keyof typeof FrameAnchorType ];
  dropCap?: typeof DropCapType [keyof typeof DropCapType ];
  height: number;
  lines?: number;
  rule?: typeof HeightRule [keyof typeof HeightRule ];
  spaceHorizontal?: number;
  spaceVertical?: number;
  width: number;
  wrap?: typeof FrameWrap [keyof typeof FrameWrap ];
  x?: number;
  y?: number;
  }>
  - FramePropertiesAttributes

- Defined in file/paragraph/frame/frame-properties.ts:64

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new FramePropertiesAttributes(root): FramePropertiesAttributes

- #### Parameters

  - ##### root: {
    alignmentX?: "center" | "left" | "right" | "inside" | "outside";
    alignmentY?: "bottom" | "center" | "top" | "inside" | "outside";
    anchorHorizontal?: "text" | "margin" | "page";
    anchorLock?: boolean;
    anchorVertical?: "text" | "margin" | "page";
    dropCap?: "none" | "margin" | "drop";
    height: number;
    lines?: number;
    rule?: "auto" | "atLeast" | "exact";
    spaceHorizontal?: number;
    spaceVertical?: number;
    width: number;
    wrap?: "auto" | "none" | "around" | "notBeside" | "through" | "tight";
    x?: number;
    y?: number;
    }

    - ##### `Optional` `Readonly` alignmentX?: "center" | "left" | "right" | "inside" | "outside"

    - ##### `Optional` `Readonly` alignmentY?: "bottom" | "center" | "top" | "inside" | "outside"

    - ##### `Optional` `Readonly` anchorHorizontal?: "text" | "margin" | "page"

    - ##### `Optional` `Readonly` anchorLock?: boolean

    - ##### `Optional` `Readonly` anchorVertical?: "text" | "margin" | "page"

    - ##### `Optional` `Readonly` dropCap?: "none" | "margin" | "drop"

    - ##### `Readonly` height: number

    - ##### `Optional` `Readonly` lines?: number

    - ##### `Optional` `Readonly` rule?: "auto" | "atLeast" | "exact"

    - ##### `Optional` `Readonly` spaceHorizontal?: number

    - ##### `Optional` `Readonly` spaceVertical?: number

    - ##### `Readonly` width: number

    - ##### `Optional` `Readonly` wrap?: "auto" | "none" | "around" | "notBeside" | "through" | "tight"

    - ##### `Optional` `Readonly` x?: number

    - ##### `Optional` `Readonly` y?: number

  #### Returns FramePropertiesAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc